Subject: Re: Silicon Motion VGA controllers and PPC architecture

From: Geir Frode Raanes <[email-masked]>
Date: Thu, 13 Nov 2003 09:10:31 +0100 (CET)

On Wed, 12 Nov 2003, llandre wrote:

> I'm looking for a VGA controller to use with an embedded PPC405-based system.
> I had a look at the Silicon Motion chips (712/722) and they seem very
> suited for embedded applications.

Errr - may I ask what is special about this brand?
I believe ATI is the only manufacturer of VGA chips that actually
support alternative architectures, at least PowerPC[MAC].

 http://www.ati.com/products/embedded/overview.html

> Unfortunately the techical support claims that these chips, because the
> presence of x86 BIOS, support only the x86 architecture. Anybody can
> confirm this?

I once attempted to follow the flow of a x86 BIOS.
In other words, I disassembled it. It was intriguing for a while.
You might want to do the same thing with this expansion BIOS -
after all, you are only interested in the initialization sequence.

--
  ******************************************************
  Never ever underestimate the power of human stupidity.
  -Robert Anson Heinlein

		[email-masked]
  ******************************************************

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/